Package org.drinkless.tdlib

# Class TdApi.UpdateGroupCallParticipants

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateGroupCallParticipants

Enclosing class:
  `TdApi`

public static class TdApi.UpdateGroupCallParticipants extends TdApi.Update
The list of group call participants that can send and receive encrypted call data has changed; for group calls not bound to a chat only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupCallId`
  Identifier of the group call.
  `long[]`
  `participantUserIds`
  New list of group call participant user identifiers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateGroupCallParticipants()`
  The list of group call participants that can send and receive encrypted call data has changed; for group calls not bound to a chat only.
  `UpdateGroupCallParticipants(int groupCallId, long[] participantUserIds)`
  The list of group call participants that can send and receive encrypted call data has changed; for group calls not bound to a chat only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Identifier of the group call.

  - ### participantUserIds

    public long[] participantUserIds
    New list of group call participant user identifiers. The identifiers may be invalid or the corresponding users may be unknown. The participants must be shown in the list of group call participants even if there is no information about them.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateGroupCallParticipants

    public UpdateGroupCallParticipants()
    The list of group call participants that can send and receive encrypted call data has changed; for group calls not bound to a chat only.

  - ### UpdateGroupCallParticipants

    public UpdateGroupCallParticipants(int groupCallId, long[] participantUserIds)
    The list of group call participants that can send and receive encrypted call data has changed; for group calls not bound to a chat only.
    Parameters:
      `groupCallId` - Identifier of the group call.
      `participantUserIds` - New list of group call participant user identifiers. The identifiers may be invalid or the corresponding users may be unknown. The participants must be shown in the list of group call participants even if there is no information about them.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR